
TYPO3.Flow - Bug # 25472

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Utility
Created: 2011-03-30 Assigned To: Karsten Dambekalns
Updated: 2011-04-07 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Files::emptyDirectoryRecursively() cannot remove directories starting with a dot
Description

If a directory is to be emptied and it contains more directories whose name starts with a dot, those directories will not be removed.

Related issues:
related to TYPO3.Flow - Bug # 13979: Problem with deleting package Resolved 2011-03-22

Associated revisions
Revision 9fe27068 - 2011-04-07 08:16 - Karsten Dambekalns

[BUGFIX] (Utility) Make emptyDirectoryRecursively() remove dot-names

If a directory is to be emptied and it contains more directories whose
name starts with a dot, those directories will now also be removed.

Fixes: #25472
Change-Id: Icfdb5027e431140cbf975b8f0002b6f2f53537de

History
#1 - 2011-03-30 15:42 - Mr. Hudson

Patch set 1 of change Icfdb5027e431140cbf975b8f0002b6f2f53537de has been pushed to the review server.
It is available at http://review.typo3.org/1324

#2 - 2011-03-30 15:46 - Mr. Hudson

Patch set 2 of change Icfdb5027e431140cbf975b8f0002b6f2f53537de has been pushed to the review server.
It is available at http://review.typo3.org/1324

#3 - 2011-03-30 15:48 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#4 - 2011-04-07 08:19 - Mr. Hudson

Patch set 3 of change Icfdb5027e431140cbf975b8f0002b6f2f53537de has been pushed to the review server.
It is available at http://review.typo3.org/1324
#5 - 2011-04-07 09:00 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9fe27068f684e3953823f1148374fec2577a39c8.
